
;........
;Bazova adresa sec.procesoru
ADDR_SEC_BASE_def       EQU     3000000H

;........

;Nastaveni vektoru preruseni (jen default hodnoty)
INT_0           EQU       0        ;divide error
INT_1           EQU       1        ;trap for monitor secondary
INT_3           EQU       3        ;break-point monitor secondary
INT_13          EQU      13        ;obecna chyba ochrany
INT_16          EQU      16        ;chyba koprocesoru
VECTOR_SEC_def  EQU     0CCH       ;vektory preruseni od local APIC secondary
VECTOR_BSP_def  EQU     0CDH       ;vektory preruseni od local APIC primary  
INT_INTDEB_def  EQU     0CFH       ;ineterrupt pro ladeni PLC intdebugem

;........

;pro komunikaci com2 - BSP (jen default hodnoty)
ADDRPORT_BSP_def        EQU     2f8h    ; 2f8 Address of COM2 port
DIVISOR_BSP_def         EQU     01H     ; 01 Divisor 01H latch value for 115200 baud
IMASK_BSP_def           =       IMASK_IRQ3
INTNUM_BSP_def          =       INTNUM_IRQ3

;pro komunikaci com1 - SEC KAZETA (jen default hodnoty)
ADDRPORT_SEC_def        EQU     3f8h    ; 3f8h Address of COM1 port
DIVISOR_SEC_def         EQU     01H     ; Divisor 01H latch value for 115200 baud
IMASK_SEC_def           =       IMASK_IRQ4
INTNUM_SEC_def          EQU     0CEh    ;seriovy kanal pro secondary
IO_APIC_RTL_SEC_def     =       IO_APIC_RT4L
IO_APIC_RTH_SEC_def     =       IO_APIC_RT4H


;pro komunikaci com2 - SEC INTDEBUG (jen default hodnoty)
ADDRPORT_IDB_def        EQU     2f8h    ; 2f8h Address of COM2 port
DIVISOR_IDB_def         EQU     0CH     ; Divisor 01H latch value for 115200 baud
IMASK_IDB_def           =       IMASK_IRQ3
INTNUM_IDB_def          EQU     0D0h    ;seriovy kanal pro secondary
IO_APIC_RTL_IDB_def     =       IO_APIC_RT3L
IO_APIC_RTH_IDB_def     =       IO_APIC_RT3H


;pro jednotku SU05 s interruptem (jen default hodnoty)
IO_APIC_RTL_SU5_def     =       IO_APIC_RT21L
IO_APIC_RTH_SU5_def     =       IO_APIC_RT21H
INTNUM_AXIS_def         =       0D1h
CHECK_TIMEOUT           =       100000	;Kontrolni doba (byla 50000)

;typ klavesnice (jen default hodnota)
TYP_KLAV_def            EQU     'R'     ;knf06


LCR_COM_VAL             EQU     1FH     ; 8 bits, 2 stop bits, SUDA PARITA
LCR_COM_DEB             EQU     03H     ; 8 bits, 1 stop bits, BEZ PARITY
LCR_COM_UPS             EQU     03H     ; 8 bits, 1 stop bits, BEZ PARITY
LCR_COM_PLC             EQU     03H     ; 8 bits, 1 stop bits, BEZ PARITY

;pro program monitor secondary musi byt com2 !
ADDRPORT_SEC_MONIT      EQU     2f8h    ; Address of COM2 port
DIVISOR_SEC_MONIT       EQU     0CH     ; Divisor 0CH latch value for 9600 baud

;........

IMASK_IRQ0              EQU     01      ;CASOVAC 55ms
INTNUM_IRQ0             EQU     08h     ; Number of interrupt vector (int0)
IMASK_IRQ1              EQU     02      ;PRO KLAVESNICI
INTNUM_IRQ1             EQU     09h     ; Number of interrupt vector (int1)
IMASK_IRQ2              EQU     04      ;PRO KASKADU   
INTNUM_IRQ2             EQU     0Ah     ; Number of interrupt vector (int2)
IMASK_IRQ3              EQU     08      ;COM2
INTNUM_IRQ3             EQU     0Bh     ; Number of interrupt vector (int3)
IMASK_IRQ4              EQU     10H     ;COM1
INTNUM_IRQ4             EQU     0Ch     ; Number of interrupt vector (int4)
IMASK_IRQ5              EQU     20H     ;PRO IRQ5      
INTNUM_IRQ5             EQU     0Dh     ; Number of interrupt vector (int5)
IMASK_IRQ6              EQU     40H     ;PRO IRQ6 - DISKETY
INTNUM_IRQ6             EQU     0Eh     ; Number of interrupt vector (int6)
IMASK_IRQ7              EQU     80H     ;PRO IRQ7 - LPT1   
INTNUM_IRQ7             EQU     0Fh     ; Number of interrupt vector (int7)
IMASK_IRQ8              EQU     01H     ;PRO IRQ8 - HODINY   
INTNUM_IRQ8             EQU     70h     ; Number of interrupt vector (int70)
IMASK_IRQ9              EQU     02H     ;PRO IRQ9
INTNUM_IRQ9             EQU     71h     ; Number of interrupt vector (int71)
IMASK_IRQ10             EQU     04H     ;PRO IRQ10
INTNUM_IRQ10            EQU     72h     ; Number of interrupt vector (int72)
IMASK_IRQ11             EQU     08H     ;PRO IRQ11
INTNUM_IRQ11            EQU     73h     ; Number of interrupt vector (int73)
IMASK_IRQ12             EQU     10H     ;PRO IRQ12
INTNUM_IRQ12            EQU     74h     ; Number of interrupt vector (int74)
IMASK_IRQ13             EQU     20H     ;PRO IRQ13
INTNUM_IRQ13            EQU     75h     ; Number of interrupt vector (int75)
IMASK_IRQ14             EQU     40H     ;PRO IRQ14 - IDE
INTNUM_IRQ14            EQU     76h     ; Number of interrupt vector (int76)
IMASK_IRQ15             EQU     80H     ;PRO IRQ15
INTNUM_IRQ15            EQU     77h     ; Number of interrupt vector (int77)

APIC_ENABLED EQU 00000100H   ;maska bitu enabled v registru SVR

EOI	EQU	0FEE000B0H	;end of interrupt register
DESTR   EQU     0FEE000E0H      ;Dest.format reg.
SVR     EQU     0FEE000F0H
LDR     EQU     0FEE000D0H
ESR     EQU     0FEE00280H
TPR     EQU     0FEE00080H
LVTTIM  EQU     0FEE00320H	;LOCAL VECTOR TABLE - TIMER
ICOUNT	EQU	0FEE00380H	;TIMER - INITIAL COUNTER REGISTER
CCOUNT	EQU	0FEE00390H	;TIMER - CURRENT COUNTER REGISTER
DIVIDE	EQU	0FEE003E0H	;TIMER DIVIDE CONFIGURATION REGISTER
LVT1    EQU     0FEE00350H
LVT2    EQU     0FEE00360H
LVT3    EQU     0FEE00370H
APIC_ID EQU     0FEE00020H        ;adresa APIC ID registru, DI - bity 24 - 27
ICR_HI  EQU     0FEE00310H        ;adresa horn sti interrupt command registru
ICR_LO  EQU     0FEE00300H        ;adresa doln sti interrupt command registru

IO_APIC_BASE EQU     0FEC00000H         ;I/O APIC BASE (SELECT REGISTER)
IO_APIC_WIN  EQU     0FEC00010H         ;I/O APIC BASE (I/O WINDOW)
IO_APIC_EOIR EQU     0FEC00040H         ;EOI pro I/O APIC
IO_APIC_ID   EQU     0H                 ;I/O APIC ID
IO_APIC_VER  EQU     1H                 ;I/O APIC VERSION
IO_APIC_RT0L EQU    10H                 ;Redirection Table 0 L
IO_APIC_RT0H EQU    11H                 ;Redirection Table 0 H
IO_APIC_RT1L EQU    12H                 ;Redirection Table 1 L
IO_APIC_RT1H EQU    13H                 ;Redirection Table 1 H
IO_APIC_RT2L EQU    14H                 ;Redirection Table 2 L
IO_APIC_RT2H EQU    15H                 ;Redirection Table 2 H
IO_APIC_RT3L EQU    16H                 ;Redirection Table 3 L
IO_APIC_RT3H EQU    17H                 ;Redirection Table 3 H
IO_APIC_RT4L EQU    18H                 ;Redirection Table 4 L
IO_APIC_RT4H EQU    19H                 ;Redirection Table 4 H
IO_APIC_RT5L EQU    1AH                 ;Redirection Table 5 L
IO_APIC_RT5H EQU    1BH                 ;Redirection Table 5 H
IO_APIC_RT6L EQU    1CH                 ;Redirection Table 6 L
IO_APIC_RT6H EQU    1DH                 ;Redirection Table 6 H
IO_APIC_RT7L EQU    1EH                 ;Redirection Table 7 L
IO_APIC_RT7H EQU    1FH                 ;Redirection Table 7 H
IO_APIC_RT8L EQU    20H                 ;Redirection Table 8 L
IO_APIC_RT8H EQU    21H                 ;Redirection Table 8 H
IO_APIC_RT9L EQU    22H                 ;Redirection Table 9 L
IO_APIC_RT9H EQU    23H                 ;Redirection Table 9 H
IO_APIC_RT10L EQU   24H                 ;Redirection Table 10 L
IO_APIC_RT10H EQU   25H                 ;Redirection Table 10 H
IO_APIC_RT11L EQU   26H                 ;Redirection Table 11 L
IO_APIC_RT11H EQU   27H                 ;Redirection Table 11 H
IO_APIC_RT12L EQU   28H                 ;Redirection Table 12 L
IO_APIC_RT12H EQU   29H                 ;Redirection Table 12 H
IO_APIC_RT13L EQU   2AH                 ;Redirection Table 13 L
IO_APIC_RT13H EQU   2BH                 ;Redirection Table 13 H
IO_APIC_RT14L EQU   2CH                 ;Redirection Table 14 L
IO_APIC_RT14H EQU   2DH                 ;Redirection Table 14 H
IO_APIC_RT15L EQU   2EH                 ;Redirection Table 15 L
IO_APIC_RT15H EQU   2FH                 ;Redirection Table 15 H

IO_APIC_RT16L EQU   30H                 ;Redirection Table 16 L
IO_APIC_RT16H EQU   31H                 ;Redirection Table 16 H
IO_APIC_RT17L EQU   32H                 ;Redirection Table 17 L
IO_APIC_RT17H EQU   33H                 ;Redirection Table 17 H
IO_APIC_RT18L EQU   34H                 ;Redirection Table 18 L
IO_APIC_RT18H EQU   35H                 ;Redirection Table 18 H
IO_APIC_RT19L EQU   36H                 ;Redirection Table 19 L
IO_APIC_RT19H EQU   37H                 ;Redirection Table 19 H
IO_APIC_RT20L EQU   38H                 ;Redirection Table 20 L
IO_APIC_RT20H EQU   39H                 ;Redirection Table 20 H
IO_APIC_RT21L EQU   3AH                 ;Redirection Table 21 L
IO_APIC_RT21H EQU   3BH                 ;Redirection Table 21 H
IO_APIC_RT22L EQU   3CH                 ;Redirection Table 22 L
IO_APIC_RT22H EQU   3DH                 ;Redirection Table 22 H
IO_APIC_RT23L EQU   3EH                 ;Redirection Table 23 L
IO_APIC_RT23H EQU   3FH                 ;Redirection Table 23 H


;*** Pro CAN-BUS ***

;Baudrate codes = Registervalues BTR0/BTR1
CAN_BAUD_1M     equ 0014h  ;   1 MBit / s
CAN_BAUD_500K   equ 001Ch  ; 500 kBit / s
CAN_BAUD_250K   equ 011Ch  ; 250 kBit / s
CAN_BAUD_125K   equ 031Ch  ; 125 kBit / s
CAN_BAUD_100K   equ 432Fh  ; 100 kBit / s
CAN_BAUD_50K    equ 472Fh  ;  50 kBit / s
CAN_BAUD_20K    equ 532Fh  ;  20 kBit / s
CAN_BAUD_10K    equ 672Fh  ;  10 kBit / s
CAN_BAUD_5K     equ 7F7Fh  ;   5 kBit / s


;Mask bits for Error conditions
CAN_ERR_OK        equ 00h
CAN_ERR_XMTFULL   equ 01h  ; Sendbuffer in Controller is full 
CAN_ERR_RCVEMPTY  equ 02h  ; no new Message received 
CAN_ERR_OVERRUN   equ 04h  ; CAN-Controller was read too late 
CAN_ERR_BUSERROR  equ 08h  ; BusError: an Errorcounter has reached Limit 
CAN_ERR_BUSOFF    equ 10h  ; BusError: CAN-Controller engaged 'Bus-Off' 
CAN_ERR_REGTEST   equ 20h  ; Error with Registertest of the CAN-Controllers 
CAN_ERR_RECVFULL  equ 100h ; Full buffer	


_?CAN_ERR_OK       = 0
_?CAN_ERR_XMTFULL  = 0
_?CAN_ERR_RCVEMPTY = 0
_?CAN_ERR_OVERRUN  = 0
_?CAN_ERR_BUSERROR = 0
_?CAN_ERR_BUSOFF   = 0
_?CAN_ERR_REGTEST  = 0

TCANRSR RECORD ?CAN_REGTEST:1,?CAN_BUSOFF:1,?CAN_BUSERROR:1,?CAN_OVERRUN:1,?CAN_RCVEMPTY:1,?CAN_XMTFULL:1 

;CAN-Message
TCANMSGS	STRUC
        CAN_ID 		DW 0		;11 Bit-ID                       
        CAN_RTR 	DB 0     	;true, if remote request         
        CAN_LEN 	DB 0     	;Number of valid Data bytes (0..8)
        CAN_DATA	DB 0 		;Data 0  (smer prenosu + pocet)                   
        CAN_DATA_1	DB 0 		;Data 1  (index low)                 
        CAN_DATA_2	DB 0 		;Data 2  (index high)                 
        CAN_DATA_3	DB 0 		;Data 3  (subindex)                 
        CAN_DATA_4	DB 0 		;Data 4                   
        CAN_DATA_5	DB 0 		;Data 5                   
        CAN_DATA_6	DB 0 		;Data 6                   
        CAN_DATA_7	DB 0 		;Data 7                   
TCANMSGS	ENDS

;CAN-Message (jen pro pouziti v INOUTS)
TCANMSGS2	STRUC
        CN_ID 		DW 0		;11 Bit-ID                       
        CN_RTR 		DB 0     	;true, if remote request         
        CN_LEN 		DB 0     	;Number of valid Data bytes (0..8)
        CN_DATA		DB 0 		;Data 0  (smer prenosu + pocet)                   
        CN_DATA_1	DB 0 		;Data 1  (index low)                 
        CN_DATA_2	DB 0 		;Data 2  (index high)                 
        CN_DATA_3	DB 0 		;Data 3  (subindex)                 
        CN_DATA_4	DB 0 		;Data 4                   
        CN_DATA_5	DB 0 		;Data 5                   
        CN_DATA_6	DB 0 		;Data 6                   
        CN_DATA_7	DB 0 		;Data 7                   
TCANMSGS2	ENDS


MAXCOUNTPACKET	equ		100
MAXCOUNTEDS	equ		200


IncPoi		macro
		local	__buff_1	
		add	ax,type TCANMSGS
		cmp	ax,(MAXCOUNTPACKET * type TCANMSGS)
		jb	__buff_1
		xor	ax,ax
__buff_1:
Endm



;Struktura pro INOUT08 (pridavat na konec, stejna je v SystLib.DLL)
INOUTS	STRUC
	INOUT_SIZE		DW	0	;velkost
	INOUT_PRESENT		DB	0	;Je INOUT08 pritomna ?
	INOUT_MODE		DB	0	;mod (0=standard, 1=analog, 2=matice)
	INOUT_VENDORID		DD	0	;SDO 1018
	INOUT_DEVICENAME	DD	0	;SDO 1008
	INOUT_HWVERSION		DD	0	;SDO 1009
	INOUT_SWVERSION		DD	0	;SDO 100A

	INOUT_IN0		DB	0	;vstupy		
	INOUT_IN1		DB	0			
	INOUT_IN2		DB	0			
	INOUT_IN3		DB	0			

	INOUT_OUT0		DB	0	;vystupy		
	INOUT_OUT1		DB	0			
	INOUT_OUT2		DB	0			
				DB	0

	INOUT_ANL0		DB	0	;analog
	INOUT_ANL1		DB	0			
	INOUT_ANL2		DB	0	
	INOUT_ANL3		DB	0			
	INOUT_ANL4		DB	0			
	INOUT_ANL5		DB	0			
	INOUT_ANL6		DB	0			
	INOUT_ANL7		DB	0			

	INOUT_ERROR		DB	0	;error registr 1001 - okamzity
	INOUT_ERR_CODE		DB	0	;kod chyby ... zapise pri vzniku chyby 				
	INOUT_ERR_STAT		DB	0	;hlaseni chyb - record E_IOR
						;bit0 (IO_ER_HLI_ACT)	= chyba (kod je v INOUT_ERR_CODE)
						;bit1 (IO_ER_TM_ACT)    = time-out (okamzity - jen cist)
   						;bit2 (IO_ER_HLI)	= chyba (kod je v INOUT_ERR_CODE) (pamet -nuluje uzivatel)
   						;bit3 (IO_ER_TMOUT)	= time-out (pamet - nuluje uzivatel)
   						;bit4 (IO_ER_NULL)	= zadost o nuluvani vsech periferii
	INOUT_CONTROL		DB	0	;rizeni - record C_IOR
						;bit0 (IO_DIS_ERR)	= blokovani vypisu chyb vystupu	  
   						;bit1 (IO_DIS_ERPIS)	= blokovani chyb vystupu pro PLC 
   						;bit2 (IO_DIS_TMOUT)	= blokovani chyb time-out
   						;bit6 (IO_DIS_NULL)	= blokovani nulovani vsech periferii
	INOUT_COUNT		DW	0	;citac pro time-out	

	INOUT_SEND_REQ		DB	0	;zadost o vyslani SDO paketu INOUT_SEND (0=volno, 1=zadost, FF=prijato) 
	INOUT_RESP_COUNT	DB	0	;citac prijmu
	INOUT_SHORT_SEND_REQ	DB	0	;zadost o informaci zkratu

	INOUT_SHORT_OUT0	DB	0	;informace o zkratu
	INOUT_SHORT_OUT1	DB	0
	INOUT_SHORT_OUT2	DB	0

	INOUT_SEND		TCANMSGS2 <0>	;paket pro vyslani				
	INOUT_RESP		TCANMSGS2 <0>	;response paket

	INOUT_RPDO_COUNT	DW	0	;dgn cistac zarazenych RPDO paketu do fronty na vyslani
	INOUT_TPDO_COUNT	DW	0	;dgn cistac prijmutych TPDO paketu

	INOUT_PxIN		DW	0	;cislo vstupniho PLC portu 1=P1IN
	INOUT_PxOUT		DW	0	;cislo vystupniho PLC portu 1=P1OUT

	lpINOUT_PxIN		DW 2 DUP (0)	;pointry na PLC oblasti
	lpINOUT_PxOUT		DW 2 DUP (0)
	lpINOUT_ERRHI_PxOUT	DW 2 DUP (0)
	lpINOUT_SETH_PxOUT	DW 2 DUP (0)
	lpINOUT_SETH_PxIN	DW 2 DUP (0)

	INOUT_MODE_ACT		DB	0	;mod minuly
	INOUT_MODE_FAZE		DB	0	

	INOUT_TL0		DB	0	;tlacitka matice		
	INOUT_TL1		DB	0			
	INOUT_TL2		DB	0			
	INOUT_TL3		DB	0			

	INOUT_IRC0		DW	0	;irc		
	INOUT_IRC1		DW	0			

INOUTS	ENDS

;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

;RTM komandy pro ovladani pohybu (z tocitek) - WIN


RTMID_MMM_BEGIN			equ	00000000h	;Zacatek oblasti kodu pro ovladani pohybu (z tocitek)

RTMID_MMM_SEL00			equ	00000001h	;Predvolba NC osy
RTMID_MMM_SEL01			equ	00000002h
RTMID_MMM_SEL02			equ	00000003h
RTMID_MMM_SEL03			equ	00000004h
RTMID_MMM_SEL04			equ	00000005h
RTMID_MMM_SEL05			equ	00000006h
RTMID_MMM_SEL06			equ	00000007h
RTMID_MMM_SEL07			equ	00000008h
RTMID_MMM_SEL08			equ	00000009h
RTMID_MMM_SEL09			equ	0000000Ah
RTMID_MMM_SEL10			equ	0000000Bh
RTMID_MMM_SEL11			equ	0000000Ch
RTMID_MMM_SEL12			equ	0000000Dh
RTMID_MMM_SEL13			equ	0000000Eh
RTMID_MMM_SEL14			equ	0000000Fh
RTMID_MMM_SEL15			equ	00000010h

RTMID_MMM_SELX			equ	00000011h	;Predvolba GEO osy
RTMID_MMM_SELY			equ	00000012h
RTMID_MMM_SELZ			equ	00000013h

RTMID_MMM_MOVE00		equ	00000014h	;Posun NC osy + 
RTMID_MMM_MOVE01		equ	00000015h
RTMID_MMM_MOVE02		equ	00000016h
RTMID_MMM_MOVE03		equ	00000017h
RTMID_MMM_MOVE04		equ	00000018h
RTMID_MMM_MOVE05		equ	00000019h
RTMID_MMM_MOVE06		equ	0000001Ah
RTMID_MMM_MOVE07		equ	0000001Bh
RTMID_MMM_MOVE08		equ	0000001Ch
RTMID_MMM_MOVE09		equ	0000001Dh
RTMID_MMM_MOVE10		equ	0000001Eh
RTMID_MMM_MOVE11		equ	0000001Fh
RTMID_MMM_MOVE12		equ	00000020h
RTMID_MMM_MOVE13		equ	00000021h
RTMID_MMM_MOVE14		equ	00000022h
RTMID_MMM_MOVE15		equ	00000023h

RTMID_MMM_MOVE00NEG		equ	00000024h	;Posun NC osy - 
RTMID_MMM_MOVE01NEG		equ	00000025h
RTMID_MMM_MOVE02NEG		equ	00000026h
RTMID_MMM_MOVE03NEG		equ	00000027h
RTMID_MMM_MOVE04NEG		equ	00000028h
RTMID_MMM_MOVE05NEG		equ	00000029h
RTMID_MMM_MOVE06NEG		equ	0000002Ah
RTMID_MMM_MOVE07NEG		equ	0000002Bh
RTMID_MMM_MOVE08NEG		equ	0000002Ch
RTMID_MMM_MOVE09NEG		equ	0000002Dh
RTMID_MMM_MOVE10NEG		equ	0000002Eh
RTMID_MMM_MOVE11NEG		equ	0000002Fh
RTMID_MMM_MOVE12NEG		equ	00000030h
RTMID_MMM_MOVE13NEG		equ	00000031h
RTMID_MMM_MOVE14NEG		equ	00000032h
RTMID_MMM_MOVE15NEG		equ	00000033h

RTMID_MMM_MOVEX			equ	00000034h	;Posun GEO osy +
RTMID_MMM_MOVEY			equ	00000035h
RTMID_MMM_MOVEZ			equ	00000036h

RTMID_MMM_MOVEXNEG		equ	00000037h	;Posun GEO osy -
RTMID_MMM_MOVEYNEG		equ	00000038h
RTMID_MMM_MOVEZNEG		equ	00000039h

RTMID_MMM_MOVEXY		equ	0000003Ah	;Kombinace pohybu GEO	
RTMID_MMM_MOVEXNEGY		equ	0000003Bh
RTMID_MMM_MOVEXYNEG		equ	0000003Ch
RTMID_MMM_MOVEXNEGYNEG		equ	0000003Dh
RTMID_MMM_MOVEZX		equ	0000003Eh
RTMID_MMM_MOVEZNEGX		equ	0000003Fh
RTMID_MMM_MOVEZXNEG		equ	00000040h
RTMID_MMM_MOVEZNEGXNEG		equ	00000041h
RTMID_MMM_MOVEYZ		equ	00000042h
RTMID_MMM_MOVEYNEGZ		equ	00000043h
RTMID_MMM_MOVEYZNEG		equ	00000044h
RTMID_MMM_MOVEYNEGZNEG		equ	00000045h

RTMID_MMM_MOVE00RT		equ	00000046h	;Posun NC osy + G00
RTMID_MMM_MOVE01RT		equ	00000047h
RTMID_MMM_MOVE02RT		equ	00000048h
RTMID_MMM_MOVE03RT		equ	00000049h
RTMID_MMM_MOVE04RT		equ	0000004Ah
RTMID_MMM_MOVE05RT		equ	0000004Bh
RTMID_MMM_MOVE06RT		equ	0000004Ch
RTMID_MMM_MOVE07RT		equ	0000004Dh
RTMID_MMM_MOVE08RT		equ	0000004Eh
RTMID_MMM_MOVE09RT		equ	0000004Fh
RTMID_MMM_MOVE10RT		equ	00000050h
RTMID_MMM_MOVE11RT		equ	00000051h
RTMID_MMM_MOVE12RT		equ	00000052h
RTMID_MMM_MOVE13RT		equ	00000053h
RTMID_MMM_MOVE14RT		equ	00000054h
RTMID_MMM_MOVE15RT		equ	00000055h

RTMID_MMM_MOVE00NEGRT		equ	00000056h	;Posun NC osy - G00
RTMID_MMM_MOVE01NEGRT		equ	00000057h
RTMID_MMM_MOVE02NEGRT		equ	00000058h
RTMID_MMM_MOVE03NEGRT		equ	00000059h
RTMID_MMM_MOVE04NEGRT		equ	0000005Ah
RTMID_MMM_MOVE05NEGRT		equ	0000005Bh
RTMID_MMM_MOVE06NEGRT		equ	0000005Ch
RTMID_MMM_MOVE07NEGRT		equ	0000005Dh
RTMID_MMM_MOVE08NEGRT		equ	0000005Eh
RTMID_MMM_MOVE09NEGRT		equ	0000005Fh
RTMID_MMM_MOVE10NEGRT		equ	00000060h
RTMID_MMM_MOVE11NEGRT		equ	00000061h
RTMID_MMM_MOVE12NEGRT		equ	00000062h
RTMID_MMM_MOVE13NEGRT		equ	00000063h
RTMID_MMM_MOVE14NEGRT		equ	00000064h
RTMID_MMM_MOVE15NEGRT		equ	00000065h

RTMID_MMM_MOVEXRT		equ	00000066h	;Posun GEO osy + G00
RTMID_MMM_MOVEYRT		equ	00000067h
RTMID_MMM_MOVEZRT		equ	00000068h

RTMID_MMM_MOVEXNEGRT		equ	00000069h	;Posun GEO osy - G00
RTMID_MMM_MOVEYNEGRT		equ	0000006Ah
RTMID_MMM_MOVEZNEGRT		equ	0000006Bh

RTMID_MMM_MOVE			equ	0000006Ch	;Posun podle predvolby + 
RTMID_MMM_MOVENEG		equ	0000006Dh	;Posun podle predvolby - 
RTMID_MMM_MOVERT		equ	0000006Eh	;Posun podle predvolby + G00 
RTMID_MMM_MOVENEGRT		equ	0000006Fh	;Posun podle predvolby - G00
RTMID_MMM_RAPIDTRAVERSE	equ	00000070h	;Primacknuti G00 

RTMID_MMM_KNOB_ENABLE1		equ	00000071h	;Povoleni ovladani z KNOB1 
RTMID_MMM_KNOB_DISABLE1		equ	00000072h	;Zakaz ovladani z KNOB1 
RTMID_MMM_KNOB_ENABLE2		equ	00000073h	;Povoleni ovladani z KNOB2 
RTMID_MMM_KNOB_DISABLE2		equ	00000074h	;Zakaz ovladani z KNOB2 

RTMID_MMM_SHIFT_REQ		equ	00000075h	;Povoleni/zruseni rezimu SHIFT 
RTMID_MMM_SHIFT_ACT		equ	00000076h	;Akivace/deaktivace rezimu SHIFT 
RTMID_MMM_SHIFT_ENABLE		equ	00000077h	;Povoleni rezimu SHIFT 
RTMID_MMM_SHIFT_DISABLE		equ	00000078h	;Zruseni rezimu SHIFT 
RTMID_MMM_SHIFT_ACTIVATE	equ	00000079h	;Aktivace rezimu SHIFT 
RTMID_MMM_SHIFT_DEACTIVATE	equ	0000007Ah	;Deaktivace rezimu SHIFT 

RTMID_MMM_KNOB_STEP1		equ	0000007Bh	;Krok 1 
RTMID_MMM_KNOB_STEP2		equ	0000007Ch	;Krok 2 
RTMID_MMM_KNOB_STEP5		equ	0000007Dh	;Krok 5 
RTMID_MMM_KNOB_STEP10		equ	0000007Eh	;Krok 10 
RTMID_MMM_KNOB_STEP20		equ	0000007Fh	;Krok 20 
RTMID_MMM_KNOB_STEP50		equ	00000080h	;Krok 50 
RTMID_MMM_KNOB_STEP100		equ	00000081h	;Krok 100 
RTMID_MMM_KNOB_STEP200		equ	00000082h	;Krok 200 
RTMID_MMM_KNOB_STEP500		equ	00000083h	;Krok 500 
RTMID_MMM_KNOB_STEP1000		equ	00000084h	;Krok 1000 
RTMID_MMM_KNOB_STEP_UP		equ	00000085h	;Krok + 
RTMID_MMM_KNOB_STEP_DOWN	equ	00000086h	;Krok - 
RTMID_MMM_MOVE_KNOB_STEP_UP	equ	00000087h	;Posun podle predvolby + / pro SHIFT krok+ 
RTMID_MMM_MOVENEG_KNOB_STEP_DOWN equ	00000088h	;Posun podle predvolby - / pro SHIFT krok-

RTMID_MMM_KNOB_INC		equ	00000089h	;posun o jeden krok +
RTMID_MMM_KNOB_DEC		equ	0000008Ah	;posun o jeden krok -

; --- 2.sada s okamzitou volbou MAN (> 100h) ---

RTMID_IMMM_SEL00		equ	00000101h	;Predvolba NC osy
RTMID_IMMM_SEL01		equ	00000102h
RTMID_IMMM_SEL02		equ	00000103h
RTMID_IMMM_SEL03		equ	00000104h
RTMID_IMMM_SEL04		equ	00000105h
RTMID_IMMM_SEL05		equ	00000106h
RTMID_IMMM_SEL06		equ	00000107h
RTMID_IMMM_SEL07		equ	00000108h
RTMID_IMMM_SEL08		equ	00000109h
RTMID_IMMM_SEL09		equ	0000010Ah
RTMID_IMMM_SEL10		equ	0000010Bh
RTMID_IMMM_SEL11		equ	0000010Ch
RTMID_IMMM_SEL12		equ	0000010Dh
RTMID_IMMM_SEL13		equ	0000010Eh
RTMID_IMMM_SEL14		equ	0000010Fh
RTMID_IMMM_SEL15		equ	00000110h

RTMID_IMMM_SELX			equ	00000111h	;Predvolba GEO osy
RTMID_IMMM_SELY			equ	00000112h
RTMID_IMMM_SELZ			equ	00000113h

RTMID_IMMM_MOVE00		equ	00000114h	;Posun NC osy + 
RTMID_IMMM_MOVE01		equ	00000115h
RTMID_IMMM_MOVE02		equ	00000116h
RTMID_IMMM_MOVE03		equ	00000117h
RTMID_IMMM_MOVE04		equ	00000118h
RTMID_IMMM_MOVE05		equ	00000119h
RTMID_IMMM_MOVE06		equ	0000011Ah
RTMID_IMMM_MOVE07		equ	0000011Bh
RTMID_IMMM_MOVE08		equ	0000011Ch
RTMID_IMMM_MOVE09		equ	0000011Dh
RTMID_IMMM_MOVE10		equ	0000011Eh
RTMID_IMMM_MOVE11		equ	0000011Fh
RTMID_IMMM_MOVE12		equ	00000120h
RTMID_IMMM_MOVE13		equ	00000121h
RTMID_IMMM_MOVE14		equ	00000122h
RTMID_IMMM_MOVE15		equ	00000123h

RTMID_IMMM_MOVE00NEG		equ	00000124h	;Posun NC osy - 
RTMID_IMMM_MOVE01NEG		equ	00000125h
RTMID_IMMM_MOVE02NEG		equ	00000126h
RTMID_IMMM_MOVE03NEG		equ	00000127h
RTMID_IMMM_MOVE04NEG		equ	00000128h
RTMID_IMMM_MOVE05NEG		equ	00000129h
RTMID_IMMM_MOVE06NEG		equ	0000012Ah
RTMID_IMMM_MOVE07NEG		equ	0000012Bh
RTMID_IMMM_MOVE08NEG		equ	0000012Ch
RTMID_IMMM_MOVE09NEG		equ	0000012Dh
RTMID_IMMM_MOVE10NEG		equ	0000012Eh
RTMID_IMMM_MOVE11NEG		equ	0000012Fh
RTMID_IMMM_MOVE12NEG		equ	00000130h
RTMID_IMMM_MOVE13NEG		equ	00000131h
RTMID_IMMM_MOVE14NEG		equ	00000132h
RTMID_IMMM_MOVE15NEG		equ	00000133h

RTMID_IMMM_MOVEX		equ	00000134h	;Posun GEO osy +
RTMID_IMMM_MOVEY		equ	00000135h
RTMID_IMMM_MOVEZ		equ	00000136h

RTMID_IMMM_MOVEXNEG		equ	00000137h	;Posun GEO osy -
RTMID_IMMM_MOVEYNEG		equ	00000138h
RTMID_IMMM_MOVEZNEG		equ	00000139h

RTMID_IMMM_MOVEXY		equ	0000013Ah	;Kombinace pohybu GEO	
RTMID_IMMM_MOVEXNEGY		equ	0000013Bh
RTMID_IMMM_MOVEXYNEG		equ	0000013Ch
RTMID_IMMM_MOVEXNEGYNEG		equ	0000013Dh
RTMID_IMMM_MOVEZX		equ	0000013Eh
RTMID_IMMM_MOVEZNEGX		equ	0000013Fh
RTMID_IMMM_MOVEZXNEG		equ	00000140h
RTMID_IMMM_MOVEZNEGXNEG		equ	00000141h
RTMID_IMMM_MOVEYZ		equ	00000142h
RTMID_IMMM_MOVEYNEGZ		equ	00000143h
RTMID_IMMM_MOVEYZNEG		equ	00000144h
RTMID_IMMM_MOVEYNEGZNEG		equ	00000145h

RTMID_IMMM_MOVE00RT		equ	00000146h	;Posun NC osy + G00
RTMID_IMMM_MOVE01RT		equ	00000147h
RTMID_IMMM_MOVE02RT		equ	00000148h
RTMID_IMMM_MOVE03RT		equ	00000149h
RTMID_IMMM_MOVE04RT		equ	0000014Ah
RTMID_IMMM_MOVE05RT		equ	0000014Bh
RTMID_IMMM_MOVE06RT		equ	0000014Ch
RTMID_IMMM_MOVE07RT		equ	0000014Dh
RTMID_IMMM_MOVE08RT		equ	0000014Eh
RTMID_IMMM_MOVE09RT		equ	0000014Fh
RTMID_IMMM_MOVE10RT		equ	00000150h
RTMID_IMMM_MOVE11RT		equ	00000151h
RTMID_IMMM_MOVE12RT		equ	00000152h
RTMID_IMMM_MOVE13RT		equ	00000153h
RTMID_IMMM_MOVE14RT		equ	00000154h
RTMID_IMMM_MOVE15RT		equ	00000155h

RTMID_IMMM_MOVE00NEGRT		equ	00000156h	;Posun NC osy - G00
RTMID_IMMM_MOVE01NEGRT		equ	00000157h
RTMID_IMMM_MOVE02NEGRT		equ	00000158h
RTMID_IMMM_MOVE03NEGRT		equ	00000159h
RTMID_IMMM_MOVE04NEGRT		equ	0000015Ah
RTMID_IMMM_MOVE05NEGRT		equ	0000015Bh
RTMID_IMMM_MOVE06NEGRT		equ	0000015Ch
RTMID_IMMM_MOVE07NEGRT		equ	0000015Dh
RTMID_IMMM_MOVE08NEGRT		equ	0000015Eh
RTMID_IMMM_MOVE09NEGRT		equ	0000015Fh
RTMID_IMMM_MOVE10NEGRT		equ	00000160h
RTMID_IMMM_MOVE11NEGRT		equ	00000161h
RTMID_IMMM_MOVE12NEGRT		equ	00000162h
RTMID_IMMM_MOVE13NEGRT		equ	00000163h
RTMID_IMMM_MOVE14NEGRT		equ	00000164h
RTMID_IMMM_MOVE15NEGRT		equ	00000165h

RTMID_IMMM_MOVEXRT		equ	00000166h	;Posun GEO osy + G00
RTMID_IMMM_MOVEYRT		equ	00000167h
RTMID_IMMM_MOVEZRT		equ	00000168h

RTMID_IMMM_MOVEXNEGRT		equ	00000169h	;Posun GEO osy - G00
RTMID_IMMM_MOVEYNEGRT		equ	0000016Ah
RTMID_IMMM_MOVEZNEGRT		equ	0000016Bh

RTMID_IMMM_MOVE			equ	0000016Ch	;Posun podle predvolby + 
RTMID_IMMM_MOVENEG		equ	0000016Dh	;Posun podle predvolby - 
RTMID_IMMM_MOVERT		equ	0000016Eh	;Posun podle predvolby + G00 
RTMID_IMMM_MOVENEGRT		equ	0000016Fh	;Posun podle predvolby - G00
RTMID_IMMM_RT			equ	00000170h	;Primacknuti G00 

RTMID_IMMM_KNOB_ENABLE1		equ	00000171h	;Povoleni ovladani z KNOB1 
RTMID_IMMM_KNOB_DISABLE1	equ	00000172h	;Zakaz ovladani z KNOB1 
RTMID_IMMM_KNOB_ENABLE2		equ	00000173h	;Povoleni ovladani z KNOB2 
RTMID_IMMM_KNOB_DISABLE2	equ	00000174h	;Zakaz ovladani z KNOB2 

RTMID_IMMM_SHIFT_REQ		equ	00000175h	;Povoleni/zruseni rezimu SHIFT 
RTMID_IMMM_SHIFT_ACT		equ	00000176h	;Akivace/deaktivace rezimu SHIFT 
RTMID_IMMM_SHIFT_ENABLE		equ	00000177h	;Povoleni rezimu SHIFT 
RTMID_IMMM_SHIFT_DISABLE	equ	00000178h	;Zruseni rezimu SHIFT 
RTMID_IMMM_SHIFT_ACTIVATE	equ	00000179h	;Aktivace rezimu SHIFT 
RTMID_IMMM_SHIFT_DEACTIVATE	equ	0000017Ah	;Deaktivace rezimu SHIFT 

RTMID_IMMM_KNOB_STEP1		equ	0000017Bh	;Krok 1 
RTMID_IMMM_KNOB_STEP2		equ	0000017Ch	;Krok 2 
RTMID_IMMM_KNOB_STEP5		equ	0000017Dh	;Krok 5 
RTMID_IMMM_KNOB_STEP10		equ	0000017Eh	;Krok 10 
RTMID_IMMM_KNOB_STEP20		equ	0000017Fh	;Krok 20 
RTMID_IMMM_KNOB_STEP50		equ	00000180h	;Krok 50 
RTMID_IMMM_KNOB_STEP100		equ	00000181h	;Krok 100 
RTMID_IMMM_KNOB_STEP200		equ	00000182h	;Krok 200 
RTMID_IMMM_KNOB_STEP500		equ	00000183h	;Krok 500 
RTMID_IMMM_KNOB_STEP1000	equ	00000184h	;Krok 1000 
RTMID_IMMM_KNOB_STEP_UP		equ	00000185h	;Krok + 
RTMID_IMMM_KNOB_STEP_DOWN	equ	00000186h	;Krok - 
RTMID_IMMM_MOVE_KNOB_STEP_UP	equ	00000187h	;Posun podle predvolby + / pro SHIFT krok+ 
RTMID_IMMM_MOVENEG_KNOB_STEP_DOWN equ	00000188h	;Posun podle predvolby - / pro SHIFT krok-

RTMID_IMMM_KNOB_INC		equ	00000189h	;posun o jeden krok +
RTMID_IMMM_KNOB_DEC		equ	0000018Ah	;posun o jeden krok -


RTMID_MMM_END			equ	0000018Bh	;Konec oblasti kodu pro ovladani pohybu (z tocitek)

